Bug 1261121 - [abrt] hplip-gui: logger.py:330:error:TypeError: [priority,] message string
[abrt] hplip-gui: logger.py:330:error:TypeError: [priority,] message string
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:59a59dc0a8e448f5eb1f5f1d8a0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 11:53 EDT by Vitaliy Sapronenko
Modified: 2015-12-02 13:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:16:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.72 KB, text/plain)
2015-09-08 11:53 EDT, Vitaliy Sapronenko
no flags Details
File: environ (1.69 KB, text/plain)
2015-09-08 11:53 EDT, Vitaliy Sapronenko
no flags Details

  None (edit)
Description Vitaliy Sapronenko 2015-09-08 11:53:16 EDT
Version-Release number of selected component:
hplip-gui-3.14.10-9.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/hp-toolbox
dso_list:       hplip-3.14.10-9.fc21.x86_64
executable:     /usr/bin/hp-toolbox
kernel:         4.1.4-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
logger.py:330:error:TypeError: [priority,] message string

Traceback (most recent call last):
  File "/usr/share/hplip/ui4/filetable.py", line 287, in AddFileButton_clicked
    self.addFileList(files)
  File "/usr/share/hplip/ui4/filetable.py", line 295, in addFileList
    self.addFileFromUI(f)
  File "/usr/share/hplip/ui4/filetable.py", line 312, in addFileFromUI
    self.__tr("HP Device Manager"))
  File "/usr/share/hplip/ui4/ui_utils.py", line 279, in FailureUI
    log.error(pat_html_remove.sub(' ', unicode(error_text)))
  File "/usr/share/hplip/base/logger.py", line 330, in error
    syslog.syslog(syslog.LOG_ALERT, "%s[%d]: %s" % (self.module, self.pid, txt))
TypeError: [priority,] message string

Local variables in innermost frame:
message: u" You are trying to add a file '/home/sapronenko/\u0420\u043e\u0431\u043e\u0447\u0438\u0439 \u0441\u0442\u0456\u043b/\u0412\u0456\u0440\u0448\u0456 \u043d\u0430 \u0414\u0435\u043d\u044c\u0443\u0447\u0438\u0442.docx' that cannot be directly printed with this utility.  To print this file, use the print command in the application that created it. Note: Click  Show Valid Types...  to view a list of compatible file types that can be directly printed from this utility."
txt: u"error:  You are trying to add a file '/home/sapronenko/\u0420\u043e\u0431\u043e\u0447\u0438\u0439 \u0441\u0442\u0456\u043b/\u0412\u0456\u0440\u0448\u0456 \u043d\u0430 \u0414\u0435\u043d\u044c\u0443\u0447\u0438\u0442.docx' that cannot be directly printed with this utility.  To print this file, use the print command in the application that created it. Note: Click  Show Valid Types...  to view a list of compatible file types that can be directly printed from this utility."
self: <base.logger.Logger object at 0x7f3507dfa510>
Comment 1 Vitaliy Sapronenko 2015-09-08 11:53:19 EDT
Created attachment 1071400 [details]
File: backtrace
Comment 2 Vitaliy Sapronenko 2015-09-08 11:53:20 EDT
Created attachment 1071401 [details]
File: environ
Comment 3 Jiri Popelka 2015-09-09 07:54:18 EDT
reproducer:
python -c 'import syslog; syslog.syslog(syslog.LOG_ALERT, u"\u0420\u043e\u0431\u043e\u0447\u0438\u0439")'

It's OK with Python3, i.e.

python3 -c 'import syslog; syslog.syslog(syslog.LOG_ALERT, u"\u0420\u043e\u0431\u043e\u0447\u0438\u0439")'

so It should be OK in F22 (and later), where we use Python 3 for running hplip.
Comment 4 Fedora End Of Life 2015-11-04 05:35:12 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-02 10:16:57 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.